#!/bin/bash
#
# A wrapper that translates `docker build` commands for use with buildah
#
set -euo pipefail
while [[ $# -ne 0 ]]
do
    case "$1" in
    --rm|--force-rm)
        # 'rm' and 'force-rm' can only be set with either 'layers' or 'no-cache'
        ;;
    *)
        args+=("$1")
        ;;
    esac
    shift
done
buildah "${args[@]}"
